Bug 494690 - Cleaning up "Product" dropdown on JBoss CSP Software Downloads page
Cleaning up "Product" dropdown on JBoss CSP Software Downloads page
Status: CLOSED NOTABUG
Product: JBoss Customer Support Portal
Classification: Retired
Component: Web-General (Show other bugs)
AMS Backlog
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nicky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 15:27 EDT by apestel
Modified: 2014-07-21 19:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-15 09:42:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description apestel 2009-04-07 15:27:38 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.4) Gecko/2008111217 Fedora/3.0.4-1.fc9 Firefox/3.0.4

Log into JBoss CSP, click "Browse Software Patches, Config...", select the product dropdown.

I don't think the following items should be in the dropdown:

1.)  "Tomcat" - only has one thing in it, a patch for 5.0.x
2.)  "Developer Subscription" - isn't a product, shouldn't be in a product dropdown
3.)  "JBoss Applicaton Server" - shouldn't exist, duplicates much of "Application Platform"
4.)  "Evaluation Software" - has nothing in it
5.)  "JBoss Cache"  - Shouldn't exist, we don't sell this as a "product"
6.)  "JBoss IDE" - Shouldn't exist, nothing in it
7.)  "JBoss Seam" - Shouldn't exist, we don't sell a separate "Seam" product

Reproducible: Always

Steps to Reproduce:
See details
Comment 1 Tom Mirc 2009-04-08 08:31:34 EDT
I agree, this should be bundled, if possible with the product/menu work being done for BZ 490131.  I will inquire.
Comment 2 John Sanda 2009-04-08 09:21:37 EDT
In the UI there are two ways to access content for JBoss products - from the side menu and from the product drop down. The contents of the side menu is determined by JBoss product management. There are products with content that we have to support that are not listed in that menu. JBoss Application Server is a good example. It used to be in the side menu, but it no longer is as the menu now reflects the most current product offerings. Users still need a way to access content for products not listed in the menu. This is why the drop down is populated with all of the products that are supported.

The fact that Tomcat has only one item in it is irrelevant as it would be irrelevant if there were only zero items. Unless and until JBoss product management says we are no longer supporting a particular product, it needs to be accessible in some way to users who have paid subscriptions for support and/or content. Today there is only one patch for Tomcat, but tomorrow a customer could open a ticket with a Tomcate-related but and we could wind up with a second patch.

JBoss Application Server absolutely has to exist as I know first hand we have customers with subscriptions for Application Server and not for EAP (Application Platform). More to the point, patches for EAP are not supposed to be made available for Application Server.

Again, the fact that nothing is in Evaluation Software is irrelevant. We put out a release for the specific purpose of adding functionality in support of Evaluation Software. Whoever handles adding content (which is not me) will add the bits for Evaluation Software at the appropriate time.

JBoss Cache has to be present and accessible unless and until we no longer support it. It may not be a new product, but my guess is that we have customers who have paid for it, and there subscriptions are still active. Same goes for JBoss IDE. 

JBoss Seam *is* Seam. This is the verbiage specifically chosen by JBoss product management.

There are some changes with respect to the product drop down that are certainly worth considering, but that is an entirely different discussion. I think I have adequately addressed the issues raised in the initial description. Unless there are other concerns, I am going to close this ticket.
Comment 3 Tom Mirc 2009-04-08 09:28:20 EDT
We can handle the low-level changes as part of regular maintenance.  I agree with closing the ticket and noting the possible changes.
Comment 4 apestel 2009-04-08 10:36:56 EDT
Can we please keep this open for a day or two?  I'm in meetings all day, but want to run some of this by the product teams.  I think some of the response to this issue is incorrect, but I've only been here 9 months, so I could very well be wrong.  For example, I didn't think we supported Cache, Seam, or Tomcat by themselves, only as a part of another product like EAP, SOA-P, or WebServer.  Also, I thought we list evaluation products in their particular areas, not in a generic evaluation category.  For example, BRMS 5 evaluation is under JBoss Rules 5, not under a generic evaluation.  I think the same was true for the JBDS 2.0 beta evaluation.

But, I'll try to get clarification from the PMs and post back what I find.  Thanks!
Comment 5 John Sanda 2009-04-08 11:00:36 EDT
I can tell you though that we definitely do support Seam by itself as we do the other products mentioned. I can refer you to active skus if you'd like.

The evaluation category was added specifically to support the free, evaluation version of JBDS. Any content mapped into this category will be freely available to any user with a Red Hat login.

I will keep this ticket open for another day or two, but it really sounds like you should be directing your questions to JBoss product management/marketing.
Comment 6 apestel 2009-04-08 11:10:44 EDT
If you could send me an active SKU for Seam, I would appreciate it.  I'm a JBoss SA and we tell people that we don't sell it separately.  I can't find it in our price book either:  http://intranet.corp.redhat.com/redhat/images/wiki/RedHatNorthAmericaPriceBook.pdf  We also don't mention Seam in our product update and support policy:  http://www.redhat.com/security/updates/jboss_notes/

I do talk with PM/M quite regularly and will run this by them.  I appreciate your help!
Comment 8 Ricky Broadnax 2010-06-07 16:05:05 EDT
Please advise if this issue is still being considered for implementation.

thank you
Comment 9 Nicky 2010-06-07 16:21:53 EDT
This issue is being worked on currently by Nicky Bronson.  I am working off of another article here... https://docspace.corp.redhat.com/docs/DOC-38616.  I did not realize there was a Bug filed for this work, but will place updates in here moving forward.  Thank you for bringing it to my attention.
Comment 10 Ricky Broadnax 2010-06-08 09:49:55 EDT
Rally Backlog User story created https://rally1.rallydev.com/slm/detail/ar/1560142942
Comment 11 Nicky 2010-06-15 09:42:39 EDT
I am closing this ticket as there are many changes that have been requested and approved that are not reflected in this ticket but are seen in the article here... https://docspace.corp.redhat.com/docs/DOC-38616. I will continue to work on the changes as part of that project.  Thanks.  
Should there be further questions please let me know. 
Nicky Bronson
919-890-8212

Note You need to log in before you can comment on or make changes to this bug.